ExtAttr (JNA API)
Description: declaration: package: com.sun.jna.platform.bsd, interface: ExtAttr

Package com.sun.jna.platform.bsd

# Interface ExtAttr

All Superinterfaces:
  `Library`

public interface ExtAttr extends Library

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EXTATTR_NAMESPACE_USER`
  `static final ExtAttr`
  `INSTANCE`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `extattr_delete_file(String path, int attrnamespace, String attrname)`
  `LibCAPI.ssize_t`
  `extattr_get_file(String path, int attrnamespace, String attrname, ByteBuffer data, LibCAPI.size_t nbytes)`
  `LibCAPI.ssize_t`
  `extattr_list_file(String path, int attrnamespace, ByteBuffer data, LibCAPI.size_t nbytes)`
  `LibCAPI.ssize_t`
  `extattr_set_file(String path, int attrnamespace, String attrname, ByteBuffer data, LibCAPI.size_t nbytes)`

- ## Field Details

  - ### INSTANCE

    static final ExtAttr INSTANCE

  - ### EXTATTR_NAMESPACE_USER

    static final int EXTATTR_NAMESPACE_USER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### extattr_get_file

    LibCAPI.ssize_t extattr_get_file(String path, int attrnamespace, String attrname, ByteBuffer data, LibCAPI.size_t nbytes)

  - ### extattr_set_file

    LibCAPI.ssize_t extattr_set_file(String path, int attrnamespace, String attrname, ByteBuffer data, LibCAPI.size_t nbytes)

  - ### extattr_delete_file

    int extattr_delete_file(String path, int attrnamespace, String attrname)

  - ### extattr_list_file

    LibCAPI.ssize_t extattr_list_file(String path, int attrnamespace, ByteBuffer data, LibCAPI.size_t nbytes)